function onTalk()
	disableMovement()
        disableRetry()
		walkTo(8790,false,1,true)
		wait(0.1)
		walk(-10)
	player.DummyAutoAnimate = false
	player.Sprite:Play("sitDown")
	wait(2)
        teleportTo (0,-200,"Mega-transiCC","WakeUp")
  	enableMovement()	
end